IBM Cloud Container Registry API Introduction IBM Cloud® Container Registry provides a multi-tenant, highly available, and scalable private image registry that is hosted and managed by IBM. You can use the private registry by setting up your own image namespace and pushing container images to your namespace. For more information about IBM Cloud Container Registry, see About IBM Cloud Container Registryhttps://cloud.ibm.com/docs/Registry?topic=Registry-registryoverviewregistryoverview. For more information about IBM Cloud Kubernetes Service, see Getting started with IBM Cloud Kubernetes Servicehttps://cloud.ibm.com/docs/containers?topic=containers-getting-started. SDKs SDKs for Java, Node, Python, and Go are available for this API. The client libraries that are provided by the SDKs implement best practices for using the API and reduce the amount of code that you need to write. The tab for each language includes code examples that demonstrate how to use the client libraries. The code examples on this tab use the client library that is provided for Node.js. bash npm install @ibm-cloud/ibm-container-registry GitHub https://github.com/IBM/container-registry-node-sdk The code examples on this tab use the client library that is provided for Go. bash go get -u github.com/IBM/container-registry-go-sdk GitHub https://github.com/IBM/container-registry-go-sdk The code examples on this tab use the client library that is provided for Python. bash pip install --upgrade "ibm-container-registry" GitHub https://github.com/IBM/container-registry-python-sdk The code examples on this tab use the client library that is provided for Java. Gradle groovy compile group: 'com.ibm.cloud', name: 'container-registry', version: '1.+' Maven Maven installation instructionshttps://github.com/IBM/container-registry-java-sdk/maven GitHub https://github.com/IBM/container-registry-java-sdk Endpoint URL The endpoint for the IBM Cloud Container Registry API is in the format: https://Method Path Summary GET /api/v1/auth Get authorization options PATCH /api/v1/auth Update authorization options GET /api/v1/images List images POST /api/v1/images/bulkdelete Bulk delete images POST /api/v1/images/digests List images by digest POST /api/v1/images/tags Create tag DELETE /api/v1/images/{image} Delete image GET /api/v1/images/{image}/json Inspect an image GET /api/v1/images/{image}/manifest Get image manifest GET /api/v1/messages Get messages GET /api/v1/namespaces List namespaces GET /api/v1/namespaces/details Detailed namespace list PUT /api/v1/namespaces/{name} Create namespace PATCH /api/v1/namespaces/{name} Assign namespace DELETE /api/v1/namespaces/{name} Delete namespace GET /api/v1/plans Get plans PATCH /api/v1/plans Update plans GET /api/v1/quotas Get quotas PATCH /api/v1/quotas Update quotas GET /api/v1/retentions List retention policies POST /api/v1/retentions Set retention policy POST /api/v1/retentions/analyze Analyze retention policy GET /api/v1/retentions/{namespace} Get retention policy GET /api/v1/settings Get account settings PATCH /api/v1/settings Update account settings DELETE /api/v1/tags/{image} Delete tag GET /api/v1/trash List deleted images POST /api/v1/trash/{digest}/restoretags Restore a digest and all associated tags POST /api/v1/trash/{image}/restore Restore deleted image